package com.qmth.teachcloud.common.enums;

/**
 * @Date: 2021/3/23.
 */
public class EnumResult {

    /**
     * enum name()
     */
    private String name;

    /**
     * enum ordinal
     */
    private Integer ordinal;

    /**
     * enum 自定义code
     */
    private String code;

    /**
     * enum 自定义描述
     */
    private String desc;

    /**
     * enum 是否选中
     */
    private Boolean enable;

    /**
     * enum 是否可选择
     */
    private Boolean disabled;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getOrdinal() {
        return ordinal;
    }

    public void setOrdinal(Integer ordinal) {
        this.ordinal = ordinal;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public Boolean getDisabled() {
        return disabled;
    }

    public void setDisabled(Boolean disabled) {
        this.disabled = disabled;
    }
}
